# Uses of Class
org.picocontainer.parameters.BasicComponentParameter

Packages that use BasicComponentParameter
Package
Description
org.picocontainer.parameters

## Uses of BasicComponentParameter in org.picocontainer.parameters

Subclasses of BasicComponentParameter in org.picocontainer.parameters
Modifier and Type
Class
Description
`class`
`ComponentParameter`
A ComponentParameter should be used to pass in a particular component as argument to a different component's constructor.
Fields in org.picocontainer.parameters declared as BasicComponentParameter
Modifier and Type
Field
Description
`static final BasicComponentParameter`
BasicComponentParameter.`BASIC_DEFAULT`
`BASIC_DEFAULT` is an instance of BasicComponentParameter using the default constructor.